<?php
/**
 *  This file is part of devMX TeamSpeak3 Webviewer for Wordpress.
 *  Copyright (C) 2012  Maximilian Narr
 *
 *  devMX TeamSpeak3 Webviewer for Wordpress is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  TeamSpeak3 Webviewer is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with devMX TeamSpeak3 Webviewer for Wordpress.  If not, see <http://www.gnu.org/licenses/>.
 */
?>

<div class="wrap">
    <div id="icon-options-general" class="icon32"></div>
    <h2><?php _e('TeamSpeak3 Webviewer - Configurations', 'tswv') ?></h2>
    <?php if (count($configs) == 0) : ?>
        <div class="error settings-error">
            <p><?php _e("You didn't create any configurations files yet. Please create ones", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <?php if ($configDeleted) : ?>
        <div class="updated settings-error">
            <p><?php _e("Configuration(s) successfully deleted.", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <h3><?php _e('Configurations', 'tswv') ?></h3>
    <form action method="POST">
        <div class="tablenav">
            <input type="submit" class="button-secondary" value="<?php _e('Delete', 'tswv') ?>">
        </div>
        <div class="postbox-container" style="width: 80%; margin-right: 10px;">
            <table class="widefat">
                <thead>
                    <tr>
                        <th class="check-column"><input type="checkbox"></th>
                        <th scope="col"><?php _e('ID', 'tswv') ?></th>
                        <th scope="col"><?php _e('Configname', 'tswv') ?></th>
                        <th scope="col"><?php _e('Serveradress', 'tswv') ?></th>
                        <th scope="col"><?php _e('Serverport', 'tswv') ?></th>
                        <th scope="col"><?php _e('Queryport', 'tswv') ?></th>
                        <th scope="col"><?php _e('Username', 'tswv') ?></th>
                        <th scope="col"><?php _e('Custom icons download', 'tswv') ?></th>
                        <th scope="col"><?php _e('Country icons', 'tswv') ?></th>
                        <th scope="col"><?php _e('Show icons', 'tswv') ?></th>
                        <th scope="col"><?php _e('Style', 'tswv') ?></th>
                        <th scope="col"><?php _e('Caching enabled', 'tswv') ?></th>
                        <th scope="col"><?php _e('Blacklist filter enabled', 'tswv') ?></th>
                        <th scope="col"><?php _e('Whitelist filter enabled', 'tswv') ?></th>
                    </tr>
                </thead>
                <tbody  id="the-list">
                    <?php foreach ($configs as $config) : ?>
                        <tr>
                            <th class="check-column"><input type="checkbox" name="delete[]" value="<?php echo($config['id']) ?>"</th>
                            <td><?php echo $config['id'] ?></td>
                            <td><a href="<?php echo ($adminURL . 'admin.php?page=' . $menuName . '&id=' . $config['id']) ?>" title="<?php _e('Edit', 'tswv') ?>"><?php echo $config['configname'] ?></a></td>
                            <td><?php echo $config['serveradress'] ?></td>
                            <td><?php echo $config['serverport'] ?></td>
                            <td><?php echo $config['queryport'] ?></td>
                            <td><?php echo $config['username'] ?></td>
                            <td><?php ($config['downloadIcons'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                            <td><?php ($config['countryIcons'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                            <td><?php ($config['showIcons'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                            <td><?php echo $config['style'] ?></td>
                            <td><?php ($config['enableCaching'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                            <td><?php ($config['enableBlacklist'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                            <td><?php ($config['enableWhitelist'] ? _e('Yes', 'tswv') : _e('No', 'tswv')); ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <?php require_once 'branding.php'; ?>
    </form>
</div>