<?php
/**
 *  This file is part of devMX TeamSpeak3 Webviewer for Wordpress.
 *  Copyright (C) 2012  Maximilian Narr
 *
 *  devMX TeamSpeak3 Webviewer for Wordpress is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  TeamSpeak3 Webviewer is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with devMX TeamSpeak3 Webviewer for Wordpress.  If not, see <http://www.gnu.org/licenses/>.
 */
?>

<div class="wrap">
    <div id="icon-options-general" class="icon32"></div>
    <h2><?php _e('TeamSpeak3 Webviewer - Edit or add configuration', 'tswv') ?></h2>

    <?php if ($configAdded) : ?>
        <div class="updated settings-error">
            <p><?php _e("Configuration successfully added.", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <?php if ($configUpdated) : ?>
        <div class="updated settings-error">
            <p><?php _e("Configuration successfully updated.", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <div class="postbox-container" style="width: 80%;">
        <form name="<?php $formName ?>" method="POST">
            <h3><?php _e('Basic configuration', 'tswv') ?></h3>
            <input type="hidden" name="<?php echo $hiddenFieldName; ?>" value="Y">
            <input type="hidden" name="id" value="<?php echo ($config['id']) ?>">
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><?php _e('Configname', 'tswv') ?> &#42;</th>
                        <td><input name="configname" id="configname" type="text" value="<?php echo ($config['configname']) ?>" required="required"/>
                            <span class="description"><?php _e('Name of the configuration.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Serveradress', 'tswv') ?> &#42;</th>
                        <td>
                            <input name="serveradress" id="serveradress" type="text" value="<?php echo ($config['serveradress']) ?>" required="required"/>
                            <span class="description"><?php _e('Adress to the server. Can be an url or an ip adress.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Serverport', 'tswv') ?> &#42;</th>
                        <td>
                            <input name="serverport" id="serverport" type="text" value="<?php echo ($config['serverport']) ?>" required="required"/>
                            <span class="description"><?php _e('Port of the virtual server. Default: 9987', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Queryport', 'tswv') ?> &#42;</th>
                        <td>
                            <input name="queryport" id="queryport" type="text" value="<?php echo ($config['queryport']) ?>" required="required"/>
                            <span class="description"><?php _e('Queryport of the server. Default: 10011', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Username', 'tswv') ?></th>
                        <td>
                            <input name="username" id="username" type="text" value="<?php echo ($config['username']) ?>" />
                            <span class="description"><?php _e('Username of the user to login to the query. Optional.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Password', 'tswv') ?></th>
                        <td>
                            <input name="password" id="password" type="text" value="<?php echo ($config['password']) ?>" />
                            <span class="description"><?php _e('Password of the user to login to the query. Optional.', 'tswv') ?></span>
                        </td>
                    </tr>
                </tbody>
            </table>
            <h3><?php _e('Advanced configuration', 'tswv') ?></h3>
            <h4><?php _e('Icons and Style', 'tswv') ?></h4>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><?php _e('Automatic icon download', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="downloadIcons" value="1" <?php if ($config['downloadIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="downloadIcons" value="0" <?php if (!$config['downloadIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('If custom icons should be downloaded automatically.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Countryicons', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="countryIcons" value="1" <?php if ($config['countryIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="countryIcons" value="0" <?php if (!$config['countryIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('If country icons should be displayed near to the client.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Show icons', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="showIcons" value="1" <?php if ($config['showIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="showIcons" value="0" <?php if (!$config['showIcons']) : ?>checked="checked"<?php endif ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('With this option you can disable showing of all icons.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Style', 'tswv') ?></th>
                        <td>
                            <?php foreach ($styles as $style) : ?>
                                <input type="radio" name="style" value="<?php echo $style ?>" <?php if ($config['style'] == $style) : ?>checked="checked"<?php endif; ?>> <?php echo $style; ?><br>
                            <?php endforeach; ?>
                            <span class="description"><?php _e('Select the style for the webviewer you best like. Each style contains different icons', 'tswv') ?></span>
                        </td>
                    </tr> 
                </tbody>
            </table>
            <h4><?php _e('Caching', 'tswv') ?></h4>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><?php _e('Enable caching', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="enableCaching" value="1" <?php if ($config['enableCaching']) : ?>checked="checked"<?php endif; ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="enableCaching" value="0" <?php if (!$config['enableCaching']) : ?>checked="checked"<?php endif; ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('If caching of the Webviewer should be enabled. We strongly recommend enabling it.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Caching time', 'tswv') ?></th>
                        <td>
                            <input name="cachingTime" id="cachingTime" type="text" value="<?php echo ($config['cachingTime']) ?>" />
                            <span class="description"><?php _e('How long received data of the TeamSpeak3 Server should be cached (in seconds). Default: 180', 'tswv') ?></span>
                        </td>
                    </tr>
                </tbody>
            </table>
            <h4><?php _e('Filters', 'tswv') ?></h4>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><?php _e('Enable blacklist', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="enableBlacklist" value="1" <?php if ($config['enableBlacklist']) : ?>checked="checked"<?php endif; ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="enableBlacklist" value="0" <?php if (!$config['enableBlacklist']) : ?>checked="checked"<?php endif; ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('With the help of the blacklist filter you can exclude several channels from being displayed. Specify their channel-ids in the following field.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Blacklist filter ids', 'tswv') ?></th>
                        <td>
                            <input name="blacklistIds" id="blacklistIds" type="text" value="<?php echo ($config['blacklistIds']) ?>">
                            <span class="description"><?php _e('Channel-IDs of the channels which should be excluded from the webviewer (comma seperated)', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Enable whitelist', 'tswv') ?></th>
                        <td>
                            <input type="radio" name="enableWhitelist" value="1" <?php if ($config['enableWhitelist']) : ?>checked="checked"<?php endif; ?>> <?php _e('Yes', 'tswv') ?><br>
                            <input type="radio" name="enableWhitelist" value="0" <?php if (!$config['enableWhitelist']) : ?>checked="checked"<?php endif; ?>> <?php _e('No', 'tswv') ?><br>
                            <span class="description"><?php _e('With the help of the whitelist filter you can define which channels should be displayed in the webviewer. Specify their channel-ids in the following field.', 'tswv') ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php _e('Whitelist filter ids', 'tswv') ?></th>
                        <td>
                            <input name="whitelistIds" id="blacklistIds" type="text" value="<?php echo ($config['whitelistIds']) ?>">
                            <span class="description"><?php _e('Channel-IDs of the channels which should be included into the webviewer (comma seperated)', 'tswv') ?></span>
                        </td>
                    </tr>
                </tbody>
            </table>
            <h4><?php _e('Miscellaneous', 'tswv') ?></h4>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><?php _e('Connect link target', 'tswv') ?></th>
                        <td>
                            <input name="connectLinkTarget" id="connectLinkTarget" type="text" value="<?php echo ($config['connectLinkTarget']) ?>">
                            <span class="description"><?php _e('If you entered localhost or 127.0.0.1 as your serveradress, you can enter the external adress of the TeamSpeak3 Server here, to be sure that the connectlink points to the correct adress.', 'tswv') ?> </span>
                        </td>
                    </tr>
                </tbody>
            </table>
            <p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save', 'tswv') ?>"/></p>
        </form>
    </div>
    <?php require_once ("branding.php"); ?>
</div>